# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['my_project']

package_data = \
{'': ['*']}

install_requires = \
['Deprecated==1.2.15',
 'Jinja2==3.1.4',
 'MarkupSafe==3.0.2',
 'PyYAML==6.0.2',
 'Pygments==2.18.0',
 'SQLAlchemy[asyncio]==2.0.36',
 'aiohappyeyeballs==2.4.3',
 'aiohttp==3.11.2',
 'aiosignal==1.3.1',
 'annotated-types==0.7.0',
 'anyio==4.6.2.post1',
 'async-timeout==5.0.1',
 'attrs==24.2.0',
 'beautifulsoup4==4.12.3',
 'certifi==2024.8.30',
 'charset-normalizer==3.4.0',
 'click==8.1.7',
 'coloredlogs==15.0.1',
 'dataclasses-json==0.6.7',
 'dirtyjson==1.0.8',
 'distro==1.9.0',
 'dnspython==2.7.0',
 'email-validator==2.2.0',
 'exceptiongroup==1.2.2',
 'fastapi-cli[standard]==0.0.5',
 'fastapi[standard]==0.115.5',
 'filelock==3.16.1',
 'filetype==1.2.0',
 'flatbuffers==24.3.25',
 'frozenlist==1.5.0',
 'fsspec==2024.10.0',
 'greenlet==3.1.1',
 'grpcio-tools==1.68.0',
 'grpcio==1.68.0',
 'h11==0.14.0',
 'h2==4.1.0',
 'hpack==4.0.0',
 'httpcore==1.0.7',
 'httptools==0.6.4',
 'httpx[http2]==0.27.2',
 'huggingface-hub[inference]==0.26.2',
 'humanfriendly==10.0',
 'hyperframe==6.0.1',
 'idna==3.10',
 'jiter==0.7.1',
 'joblib==1.4.2',
 'ldap3==2.9.1',
 'llama-index-core==0.12.0',
 'llama-index-embeddings-huggingface==0.4.0',
 'llama-index-llms-openai-like==0.3.0',
 'llama-index-llms-openai==0.3.0',
 'llama-index-llms-text-generation-inference==0.3.0',
 'llama-index-readers-file==0.4.0',
 'llama-index-utils-huggingface==0.3.0',
 'loguru==0.7.2',
 'markdown-it-py==3.0.0',
 'marshmallow==3.23.1',
 'mdurl==0.1.2',
 'mmh3==4.1.0',
 'mpmath==1.3.0',
 'multidict==6.1.0',
 'mypy-extensions==1.0.0',
 'nest-asyncio==1.6.0',
 'networkx==3.4.2',
 'nltk==3.9.1',
 'numpy==2.1.3',
 'nvidia-cublas-cu12==12.4.5.8',
 'nvidia-cuda-cupti-cu12==12.4.127',
 'nvidia-cuda-nvrtc-cu12==12.4.127',
 'nvidia-cuda-runtime-cu12==12.4.127',
 'nvidia-cudnn-cu12==9.1.0.70',
 'nvidia-cufft-cu12==11.2.1.3',
 'nvidia-curand-cu12==10.3.5.147',
 'nvidia-cusolver-cu12==11.6.1.9',
 'nvidia-cusparse-cu12==12.3.1.170',
 'nvidia-nccl-cu12==2.21.5',
 'nvidia-nvjitlink-cu12==12.4.127',
 'nvidia-nvtx-cu12==12.4.127',
 'onnx==1.17.0',
 'onnxruntime==1.19.2',
 'openai==1.54.4',
 'packaging==24.2',
 'pandas==2.2.3',
 'pillow==10.4.0',
 'portalocker==2.10.1',
 'propcache==0.2.0',
 'protobuf==5.28.3',
 'py-rust-stemmers==0.1.3',
 'pyasn1==0.6.1',
 'pydantic-core==2.23.4',
 'pydantic-settings==2.6.1',
 'pydantic==2.9.2',
 'pymongo==4.10.1',
 'pypdf==5.1.0',
 'python-dateutil==2.9.0.post0',
 'python-dotenv==1.0.1',
 'python-multipart==0.0.17',
 'pytz==2024.2',
 'qdrant-client==1.12.1',
 'redis==5.2.0',
 'regex==2024.11.6',
 'requests==2.32.3',
 'rich==13.9.4',
 'safetensors==0.4.5',
 'scikit-learn==1.5.2',
 'scipy==1.14.1',
 'sentence-transformers==3.3.0',
 'shellingham==1.5.4',
 'six==1.16.0',
 'sniffio==1.3.1',
 'soupsieve==2.6',
 'starlette==0.41.2',
 'striprtf==0.0.26',
 'sympy==1.13.1',
 'tenacity==8.5.0',
 'text-generation==0.7.0',
 'threadpoolctl==3.5.0',
 'tiktoken==0.8.0',
 'tokenizers==0.20.3',
 'torch==2.5.1',
 'tqdm==4.67.0',
 'transformers==4.46.2',
 'triton==3.1.0',
 'typer==0.13.0',
 'typing-extensions==4.12.2',
 'typing-inspect==0.9.0',
 'tzdata==2024.2',
 'urllib3==2.2.3',
 'uvicorn[standard]==0.32.0',
 'uvloop==0.21.0',
 'watchfiles==0.24.0',
 'websockets==14.1',
 'wrapt==1.16.0',
 'yarl==1.17.2']

setup_kwargs = {
    'name': 'llama-index-collection',
    'version': '0.1.0',
    'description': 'A streamlined collection of essential LlamaIndex packages for lightweight and efficient usage.',
    'long_description': None,
    'author': 'shloimy wiesel',
    'author_email': 'w63071@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<3.13',
}


setup(**setup_kwargs)
